cURL
curl --request GET \
--url https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body"<string>"{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Romania
Fetch received archive
Download the official ANAF archive an invoice received through RO e-Factura was imported from. The zip is signed by ANAF and holds the invoice as the supplier sent it.
GET
/
apps
/
gov-ro
/
v1
/
received
/
{silo_entry_id}
/
archive
cURL
curl --request GET \
--url https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/apps/gov-ro/v1/received/{silo_entry_id}/archive")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body"<string>"{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Returns the official ANAF archive an invoice received through RO e-Factura was imported from, as a zip file signed by ANAF. It holds the invoice exactly as the supplier sent it, before it was converted to GOBL.
The zip is named after the ID of the ANAF message the invoice arrived in, the same value as the invoice’s
| Situation | Status | Answer |
|---|---|---|
| The invoice was imported from RO e-Factura | 200 | Zip holding the supplier’s invoice and ANAF’s signature |
| The silo entry wasn’t imported from RO e-Factura | 404 | received entry was not found |
| The invoice belongs to another workspace | 404 | party belongs to a different workspace |
download-id meta (for example 3001234567.zip).Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests.
Example: Authorization: Bearer <token>
Path Parameters
ID of the bill.Invoice silo entry.
Example:
"0190c3a2-7b1e-7c4d-9f2a-3e5d8b6a1c40"
Response
The official ANAF archive, as a zip file.
The response is of type file.
Was this page helpful?